Bug 467961 - Does not work with pwc driver (Logitech QuickCam Pro 4000, 046d:08b2)
Does not work with pwc driver (Logitech QuickCam Pro 4000, 046d:08b2)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 17:19 EDT by Philippe Troin
Modified: 2009-08-12 01:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes the described problem. (5.09 KB, patch)
2008-10-21 17:24 EDT, Philippe Troin
no flags Details | Diff

  None (edit)
Description Philippe Troin 2008-10-21 17:19:33 EDT
Description of problem:
Cheese starts up, but is very slow and hangs.
Cheese never displays the web cam output and the window keeps hanging forever.

Version-Release number of selected component (if applicable):
cheese-0.2.4-2.fc8.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start cheese.
Comment 1 Philippe Troin 2008-10-21 17:24:03 EDT
Created attachment 321089 [details]
Fixes the described problem.

This patch adds the following:

 - when falling back to a v4lsrc GStreamer source, disable autoprobe-fps.
 - Also try a YUV stream in 320x200 mode.

This fixes my problems with the Logitech QuickCam Pro 5000.

I am not sure how compatible this fix is with other webcams.  The YUV probe should not be a problem.. Turning off the FPS auto-probing might be more problematic.

Phil.
Comment 2 Philippe Troin 2008-10-21 17:25:00 EDT
I meant Logitech QuickCam Pro 4000 in comment #1 (not 5000 as I wrote).
Comment 3 Hans de Goede 2008-10-22 03:41:11 EDT
The cheese which we have in F-8 is a very early test release (as the version no signals). F-10 (beta) has a much much better version. If you are interested in cheese, and want to write patches to improve it, you really ought to start with the F-10 version.

Note BTW that there is a bug in the pwc driver which may get triggered in combination with libv4l which cheese use in F-10. I'm working on a workaround for this for libv4l (and I'll file a bug against the pwc driver). Things should work with libv4l-0.5.2, which should be in rawhide tomorrow or they day after.

In the mean time I think this bug can be closed as wontfix given the old version of cheese in F-8 and that F-8 is nearly EOL, mclasen what do you think?
Comment 4 Philippe Troin 2008-10-22 17:37:44 EDT
Yeah, yeah, I know.  You guys are not interested in fixing the "old" F8.
Guess what?  I'm not interested in beta-testing F10 yet either.

Close the bug if you want.  I fixed it in my personal repo, now other people that will encounter the problem will have it documented somewhere.

I'm still wondering whether or not I should keep reporting bugs.  Either they get closed with the "upgrade to $LATEST" or they just get ignored.

Phil.
Comment 5 Bug Zapper 2008-11-26 06:15:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:48:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Michael Gruys 2009-08-11 06:29:53 EDT
In Fedora 11 this cheese bug still appears for me, however somewhat different
Description of problem:
Cheese starts up.
Cheese displays a frozen web cam output.
info cheese (yum info cheese):
Name       : cheese
Arch       : i586
Version    : 2.26.3
Release    : 1.fc11
Size       : 3.9 M
Repo       : installed
From repo  : updates

In 'gstreamer-properties' everything works ok with settings: Plugin: v4l, Device: Logitech QuickCam Pro 4000.

If more info is needed please let me know.
Comment 8 Hans de Goede 2009-08-11 11:18:03 EDT
(In reply to comment #7)
> In Fedora 11 this cheese bug still appears for me, however somewhat different
> Description of problem:
> Cheese starts up.
> Cheese displays a frozen web cam output.
> info cheese (yum info cheese):
> Name       : cheese
> Arch       : i586
> Version    : 2.26.3
> Release    : 1.fc11
> Size       : 3.9 M
> Repo       : installed
> From repo  : updates
> 
> In 'gstreamer-properties' everything works ok with settings: Plugin: v4l,
> Device: Logitech QuickCam Pro 4000.
> 
> If more info is needed please let me know.  

Hi,

Thanks for reporting this. I own a Logitech QuickCam Pro 4000 now myself these
days, and I've been able to reproduce this, it turns out this actually is a
gstreamer-plugins-good bug. I've filed a bug report with a patch upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=591451

And I've fixed this in the rawhide / Fedora 12 gstreamer-plugins-good packages version 0.10.15-6 and later.
Comment 9 Michael Gruys 2009-08-12 01:58:02 EDT
Thx f. sharing this!
---Michael

Note You need to log in before you can comment on or make changes to this bug.